﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using ESLWebApp.Services;
using ESLWebApp.Models;

namespace ESLWebApp.Controllers
{
    public class FormController : Controller
    {
//replace api key with your own value
        private string API_KEY = "your_api_key";
        private string BASE_URL = "https://sandbox.e-signlive.com/api";
        
        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(FormModel form)
        {
            // Create a packageId 
            PackageId packageId = ESLPackageCreation.createPackage(form, API_KEY, BASE_URL);

            //Get the session token 
            SessionToken token = ESLPackageCreation.createSessionToken(packageId, API_KEY, BASE_URL);

            ViewData["token"] = token.Token;

            // Redirect the signer to e-SignLive
            return View("ThankYou");
        }

    }
}
